Bug 1523416 - [abrt] gnome-shell: meta_window_move_resize_request(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_move_resize_request(): gnome-shell killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3189d20d7dbc508a372f671eac0...
: 1525760 1529011 1533545 1540617 1543952 1544160 1545748 1545981 1548528 1548787 1548884 1550545 1551180 1551235 1553644 1559139 1560959 1561436 1562448 1562701 1562834 1564039 1565572 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 23:13 UTC by John Southworth
Modified: 2018-11-30 20:54 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:54:08 UTC


Attachments (Terms of Use)
File: backtrace (104.40 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: cgroup (322 bytes, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: core_backtrace (64.35 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: dso_list (25.72 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: environ (2.00 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: exploitable (82 bytes, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: limits (1.29 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: maps (147.10 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: mountinfo (6.38 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: open_fds (8.99 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details
File: var_log_messages (3.80 KB, text/plain)
2017-12-07 23:13 UTC, John Southworth
no flags Details

Description John Southworth 2017-12-07 23:13:20 UTC
Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=e5ba5e3130de4664beaee88f5514ab70;i=5d6199;b=61c0f8ec2ad143959d7eb253eef7edcb;m=6b799f1ea5;t=55fb9cae59e34;x=3a5ad8cdaf5081ac
kernel:         4.13.16-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_window_move_resize_request at x11/window-x11.c:2095
 #1 meta_window_x11_configure_request at x11/window-x11.c:2169
 #2 handle_other_xevent at x11/events.c:1456
 #3 meta_display_handle_xevent at x11/events.c:1784
 #4 xevent_filter at x11/events.c:1823
 #5 gdk_event_apply_filters at gdkeventsource.c:79
 #6 gdk_event_source_translate_event at gdkeventsource.c:198
 #7 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #8 gdk_display_get_event at gdkdisplay.c:438
 #14 meta_run at core/main.c:648

Comment 1 John Southworth 2017-12-07 23:13:26 UTC
Created attachment 1364526 [details]
File: backtrace

Comment 2 John Southworth 2017-12-07 23:13:27 UTC
Created attachment 1364527 [details]
File: cgroup

Comment 3 John Southworth 2017-12-07 23:13:29 UTC
Created attachment 1364528 [details]
File: core_backtrace

Comment 4 John Southworth 2017-12-07 23:13:30 UTC
Created attachment 1364529 [details]
File: cpuinfo

Comment 5 John Southworth 2017-12-07 23:13:31 UTC
Created attachment 1364530 [details]
File: dso_list

Comment 6 John Southworth 2017-12-07 23:13:32 UTC
Created attachment 1364531 [details]
File: environ

Comment 7 John Southworth 2017-12-07 23:13:33 UTC
Created attachment 1364532 [details]
File: exploitable

Comment 8 John Southworth 2017-12-07 23:13:34 UTC
Created attachment 1364533 [details]
File: limits

Comment 9 John Southworth 2017-12-07 23:13:35 UTC
Created attachment 1364534 [details]
File: maps

Comment 10 John Southworth 2017-12-07 23:13:36 UTC
Created attachment 1364535 [details]
File: mountinfo

Comment 11 John Southworth 2017-12-07 23:13:37 UTC
Created attachment 1364536 [details]
File: open_fds

Comment 12 John Southworth 2017-12-07 23:13:38 UTC
Created attachment 1364537 [details]
File: proc_pid_status

Comment 13 John Southworth 2017-12-07 23:13:39 UTC
Created attachment 1364538 [details]
File: var_log_messages

Comment 14 Alastair Surin 2017-12-14 01:17:53 UTC
*** Bug 1525760 has been marked as a duplicate of this bug. ***

Comment 15 Alastair Surin 2017-12-14 01:19:14 UTC
This occurs every time my screen locks

Comment 16 Alastair Surin 2017-12-20 01:04:09 UTC
Similar problem has been detected:

Screen locked

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=3f4cc;b=713cbd6de4194f5985299eeeed540dcc;m=501bf118b4;t=560bb22c2bd2f;x=483090a1c5eb7a43
kernel:         4.14.5-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Steven Sheehy 2017-12-25 22:26:59 UTC
*** Bug 1529011 has been marked as a duplicate of this bug. ***

Comment 18 Alastair Surin 2017-12-30 19:00:02 UTC
Similar problem has been detected:

Locked screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=48d83;b=a601da88754a4deb8b7c31a469dc1357;m=11cf600dec;t=561933b1c0b2f;x=7937ae7292c1d06
kernel:         4.14.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Alastair Surin 2018-01-06 18:42:20 UTC
Similar problem has been detected:

Locked screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=5cda9;b=8d84fd2ba98d4d969ff5acdfbe452a35;m=220fcc90fa;t=5621fd9b65633;x=3e2cd8bf4440066c
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Alastair Surin 2018-01-08 18:16:08 UTC
Similar problem has been detected:

Locked Screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=62d2c;b=9d6fd34ee9ae482ebe8dcd76f63bb809;m=dff7c5568;t=5624758b5fdf1;x=d27edd0d07edaa2e
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Knut J BJuland 2018-01-11 15:59:00 UTC
*** Bug 1533545 has been marked as a duplicate of this bug. ***

Comment 22 Alastair Surin 2018-01-13 01:17:06 UTC
Similar problem has been detected:

Locked Screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=13192c;b=d6c9424aa5d24c0398f401079ac9e6e6;m=276f190381;t=5629e19f36607;x=c613f4798a3fc5cc
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Vedran Miletić 2018-01-17 14:30:49 UTC
Similar problem has been detected:

Unlocking screen after it got locked and displays waking up from sleep

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=7f535f33e10140ed84828a6ffa72f349;i=104be6;b=c39e37efde3541a6812f855483b9034b;m=80f980b6;t=562f9679fcaa8;x=66041f5c74446d9c
kernel:         4.15.0-0.rc7.git4.1.fc28.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7073

Comment 24 Vedran Miletić 2018-01-17 21:31:43 UTC
Similar problem has been detected:

Locked screens and unlocked

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=7f535f33e10140ed84828a6ffa72f349;i=10d22e;b=60c8d647ea3942d9a992c5aed28b2a91;m=3c711a77;t=562ff7b650bc8;x=b67b12b71cd85645
kernel:         4.14.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7073

Comment 25 Alastair Surin 2018-01-19 01:18:54 UTC
Similar problem has been detected:

Locked screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca0c9ea611b46c6b0e236ec6584d981;i=1c2ec8;b=a572db1932894f54848ad16ed4a7d3cd;m=13b7a7983e;t=56316c5033bad;x=80007023b8212392
kernel:         4.14.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Imyong Lee 2018-01-31 14:30:12 UTC
*** Bug 1540617 has been marked as a duplicate of this bug. ***

Comment 27 Alastair Surin 2018-02-09 14:16:30 UTC
Similar problem has been detected:

Locked my computer screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=0c308c8d8ad64bf98d56ea6ae5868101;i=ae93c;b=4c5531068b4b4820beae568fe82f6a19;m=42a07a36c;t=564c7874bf616;x=2773473c85f0082c
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Thomas 2018-02-09 16:11:17 UTC
*** Bug 1543952 has been marked as a duplicate of this bug. ***

Comment 29 Andrew Meredith 2018-02-10 22:38:48 UTC
*** Bug 1544160 has been marked as a duplicate of this bug. ***

Comment 30 mullins.chase 2018-02-15 15:04:27 UTC
*** Bug 1545748 has been marked as a duplicate of this bug. ***

Comment 31 Alastair Surin 2018-02-16 01:34:17 UTC
*** Bug 1545981 has been marked as a duplicate of this bug. ***

Comment 32 Alastair Surin 2018-02-18 01:30:49 UTC
Similar problem has been detected:

Screen locked

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=0e001b6080624367a6f02df4fb006032;i=331a;b=ddcc68a7d09845edaa6cce23fc5f47d0;m=57f69106e;t=565727bda5877;x=e8c0f2270a270d6b
kernel:         4.14.18-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 Sergey Morozik 2018-02-23 18:54:59 UTC
*** Bug 1548528 has been marked as a duplicate of this bug. ***

Comment 34 Alastair Surin 2018-02-25 01:24:36 UTC
*** Bug 1548787 has been marked as a duplicate of this bug. ***

Comment 35 Kyle Conway 2018-02-25 22:24:55 UTC
*** Bug 1548884 has been marked as a duplicate of this bug. ***

Comment 36 Igor Piminov 2018-03-01 12:36:52 UTC
*** Bug 1550545 has been marked as a duplicate of this bug. ***

Comment 37 Beto Hydroxy Butyrate 2018-03-03 02:28:39 UTC
*** Bug 1551180 has been marked as a duplicate of this bug. ***

Comment 38 Ivo 2018-03-03 20:09:41 UTC
*** Bug 1551235 has been marked as a duplicate of this bug. ***

Comment 39 Alastair Surin 2018-03-04 17:26:36 UTC
Similar problem has been detected:

Locked screen

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=628a98d38a9b4349bac23c5df6ed0b77;i=6217;b=93ccac84200544c08c4c61845fc9ad0a;m=e68d01496;t=56696648e33f4;x=d3422dc693899319
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 Colin Henry 2018-03-09 09:25:19 UTC
*** Bug 1553644 has been marked as a duplicate of this bug. ***

Comment 41 Anca 2018-03-20 09:35:55 UTC
Similar problem has been detected:

After a power interruption (cable unplugged from socket), GNOME just crashed. 
The setup is with 2 external monitors. Builtin laptop screen was off and the lid closed. 

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=7ba404b9024c4332b73434a8bd6edff4;i=f54d;b=a322c804d7984469ae4d2cf9d21417d4;m=bf37ac04;t=567d493f9a5bb;x=821c4e349ed0dea9
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 42 Alastair Surin 2018-03-21 18:59:26 UTC
*** Bug 1559139 has been marked as a duplicate of this bug. ***

Comment 43 solexNY 2018-03-27 11:16:12 UTC
*** Bug 1560959 has been marked as a duplicate of this bug. ***

Comment 44 solexNY 2018-03-28 10:40:34 UTC
*** Bug 1561436 has been marked as a duplicate of this bug. ***

Comment 45 solexNY 2018-03-30 21:33:07 UTC
*** Bug 1562448 has been marked as a duplicate of this bug. ***

Comment 46 Joshua Rich 2018-04-02 06:40:36 UTC
Similar problem has been detected:

Screen kept turning off when there was no user input.  I turned off and on my monitor.  I got a message that gnome-shell had crashed after this.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_move_resize_request
executable:     /usr/bin/gnome-shell
journald_cursor: s=ea780c0bad5f48dc961f4f0d91edf5d6;i=a7950;b=0818907573a047c293afa9498b6293cc;m=3fd444bea;t=568d7c62d3b99;x=9f436264aaad7b65
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 47 kusinagi24 2018-04-02 07:24:59 UTC
*** Bug 1562701 has been marked as a duplicate of this bug. ***

Comment 48 Kyle Conway 2018-04-02 16:02:00 UTC
*** Bug 1562834 has been marked as a duplicate of this bug. ***

Comment 49 kusinagi24 2018-04-05 07:53:22 UTC
*** Bug 1564039 has been marked as a duplicate of this bug. ***

Comment 50 Daniel Rowe 2018-04-10 10:41:51 UTC
*** Bug 1565572 has been marked as a duplicate of this bug. ***

Comment 51 Ben Cotton 2018-11-27 16:15:43 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 52 Ben Cotton 2018-11-30 20:54:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.